class "Flash" {
	__init__ = function(self, color, length)
		self.color = {unpack(color)} or {255, 255, 255, 255}
		self.alpha = self.color[4]
		self.fade = self.alpha * 0.1
		self.length = length or 1
		self.time = love.timer.getTime()
	end,

	update = function(self, dt, t)
		if t - self.time > self.length * 0.1 then
			self.alpha = self.alpha - self.fade
			self.time = t
		end
		self.color[4] = self.alpha
		if self.alpha <= 0 then self.kill = true end
	end,

	draw = function(self)
		love.graphics.setColor(self.color)
		love.graphics.rectangle("fill", 0, 0, 960, 480)
	end
}