--[[
	BULLET
	Hits things.
]]

class "Bullet" (Entity) {
	__init__ = function(self, spriteName, posX, posY, power, maxVelovity, velocityX, velocityY, hitBox)
		Entity.__init__(self, spriteName, posX, posY, hitBox)
		self.power = power or 1
		self.velocityX = velocityX or 500
		self.velocityY = velocityY or 0
		self.maxVelocity = maxVelocity or 800
		self.scaleX = self.velocityX < 0 and -1 or 1
		if self.velocityX < 0 then self.move.left = true else self.move.right = true end
	end,

	update = function(self, dt, t)
		Entity.update(self, dt, t)

		if self.posX < 0 - self.meta.width or self.posX > 960 then
			self.kill = true
		end
	end,

	draw = function(self)
		Entity.draw(self)
	end
}