class "ButterDroid" (Enemy) {
	__init__ = function(self)
		Enemy.__init__(self, "butterdroid")
		self:reposition()
	end,

	update = function(self, dt, t, state)
		Entity.update(self, dt, t)
		if self.posX < -100 or self.posX > 1000 then
			self.posX = 1000
			self.posY = math.random(32, 400)
			self.time = t
		end
	end,

	reposition = function(self)
		self.posX = 1000
		self.posY = math.random(16, 450)
		self.maxVelocity = math.random(300, 400)
		self.color = {255, 255 - 2 * (400 - self.maxVelocity), 255, 255}
		self.animationSpeed = 1 + (400 - self.maxVelocity) / 100
		self:setAnimation("idle")
		self.points = 200 - (400 - self.maxVelocity)
	end
}		