class "Debris" (Enemy) {
	__init__ = function(self, posX, posY)
		Enemy.__init__(self, "debris", posX, posY)
		local rand = math.random()
		self.move.left = nil
		if rand >= 0.75 then 
			self.move.left = true 
		else 
			self.move.right = true 
		end
		if rand >= 0.25 then 
			self.move.up = true
		end
		if rand >= 0.5 then
			self.move.down = true
			self.move.up = nil
		end
		if math.floor(rand * 10) % 2 ~= 0 then
			self:setAnimation("alt")
		end
		self.maxVelocity = 100
	end
}