class "Rock" (Enemy) {
	__init__ = function(self, crush)
		Enemy.__init__(self, "rock")
		self.posX = math.random(500, 960)
		local direction = math.random(1, 3)
		if direction == 1 then
			self.posY = 480
			self.move.up = true
		elseif direction == 2 then
			self.posY = -100
			self.move.down = true
		else
			self.posY = math.random(30, 400)
			self.posX = 1000
		end

		self.maxVelocity = math.random(100, 200)
		self.points = 750
		self.crush = crush
	end,

	death = function(self, state)
		for x = 1, 6 do
			table.insert(state.enemy, Debris(self.posX + math.random(6, 36), self.posY + math.random(6, 36)))
			table.insert(state.sprite, Explosion(self.posX + math.random(0, 48), self.posY + math.random(0, 48), x * 0.10))
		end
		local reward = self.crush and Crush(self.posX + 12, self.posY + 12) or Powerup(self.posX + 12, self.posY + 12)
		table.insert(state.enemy, reward)
	end
}